Grants, vesting & distributions

List Grants

Lists org grants (SCP or non-SCP) with vested percentage, tags, escrow wallets, lockups and documents flag.

POSThttps://api.toku.com/tga/list-grants

Not available to API keys yet. It will need grants:read.

curl --request POST \
  --url 'https://api.toku.com/tga/list-grants' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "isSCPOnlyGrant": true
}'
200 response
[
  {
    "grantID": "string",
    "grantName": "string",
    "externalEmployeeID": "string",
    "grantAmount": 0,
    "grantAmountInFiat": 0,
    "pricePerUnitCurrencyCode": "string",
    "grantAssetType": "FIAT",
    "grantStatus": "string",
    "grantConfigurationName": "string",
    "vestingCliffPeriods": 0,
    "vestingCliffPercentage": 0,
    "vestingPeriods": 0,
    "vestingStartDate": "string",
    "finalVestingDate": "string",
    "percentageOfUnitsVested": 0,
    "vestingFrequencyType": "string",
    "recipientFullName": "string",
    "grantDate": "string",
    "createdAt": "string",
    "tags": [
      "string"
    ],
    "roleInOrgExternalID": 0,
    "roleInOrgID": "string",
    "pricePerUnit": "string",
    "currency": "string",
    "lockups": [
      {
        "unlockDate": "string",
        "unlockUnits": "string"
      }
    ],
    "escrowWalletAddresses": "string",
    "cliffOverrideString": "string",
    "tokenType": {},
    "tokenSymbol": "string",
    "isCashCompensation": true,
    "currencyCode": "string",
    "hasGrantDocuments": true
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

isSCPOnlyGrantboolean

Response

200Successful response
grantIDstringrequired
grantNamestringrequired
externalEmployeeIDstring | nullrequired
grantAmountnumber | nullrequired
grantAmountInFiatnumber | nullrequired
pricePerUnitCurrencyCodestringrequired
grantAssetTypestringrequired

Available options: FIAT, TOKEN

grantStatusstringrequired
grantConfigurationNamestringrequired
vestingCliffPeriodsnumberrequired
vestingCliffPercentagenumberrequired
vestingPeriodsnumberrequired
vestingStartDatestringrequired
finalVestingDatestring | nullrequired
percentageOfUnitsVestednumber | nullrequired
vestingFrequencyTypestringrequired
recipientFullNamestringrequired
grantDatestringrequired
createdAtstringrequired
tagsstring[]required
roleInOrgExternalIDnumber | nullrequired
roleInOrgIDstringrequired
pricePerUnitstring | nullrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

currencystring | nullrequired
lockupsobject[]required
Show child attributes
unlockDatestring | nullrequired
unlockUnitsstring | nullrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

escrowWalletAddressesstring
cliffOverrideStringstring | nullrequired
tokenTypeobject | nullrequired
tokenSymbolstring
isCashCompensationboolean | nullrequired
currencyCodestringrequired
hasGrantDocumentsbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits